package com.ruoyi.custom.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.custom.domain.req.sysclass.SysClassEditReq;
import com.ruoyi.custom.domain.req.sysclass.SysClassQueryReq;
import com.ruoyi.custom.domain.req.sysclass.SysClassSaveReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 班级管理对象 sys_class
 *
 * @author ruoyi
 * @date 2024-04-22
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_class")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SysClass", description = "班级管理")
public class SysClass extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 班级ID
     */
    @TableId(value = "class_id", type = IdType.AUTO)
    @ApiModelProperty(name = "班级ID", value = "班级ID")
    private Long classId;

    /**
     * 班级名称
     */
    @Excel(name = "班级名称")
    @ApiModelProperty(name = "班级名称", value = "班级名称", required = true)
    private String className;

    /**
     * 状态（0正常 1停用）
     */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    @ApiModelProperty(name = "状态（0正常 1停用）", value = "状态（0正常 1停用）", required = true)
    private String status;


    /**
     * 查询构造器
     */
    public static SysClass queryBuild(SysClassQueryReq sysClassQueryReq) {
        return SysClass.builder()
                .className(sysClassQueryReq.getClassName())
                .status(sysClassQueryReq.getStatus())
                .build();
    }

    /**
     * 添加构造器
     */
    public static SysClass saveBuild(SysClassSaveReq sysClassSaveReq) {
        return SysClass.builder()
                .className(sysClassSaveReq.getClassName())
                .status(sysClassSaveReq.getStatus())
                .build();
    }

    /**
     * 修改构造器
     */
    public static SysClass editBuild(Long classId, SysClassEditReq sysClassEditReq) {
        return SysClass.builder()
                .classId(classId)
                .className(sysClassEditReq.getClassName())
                .status(sysClassEditReq.getStatus())
                .build();
    }

}
