package com.ruoyi.custom.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.custom.domain.req.sysgroup.SysGroupEditReq;
import com.ruoyi.custom.domain.req.sysgroup.SysGroupQueryReq;
import com.ruoyi.custom.domain.req.sysgroup.SysGroupSaveReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 小组管理对象 sys_group
 *
 * @author ruoyi
 * @date 2024-04-23
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_group")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SysGroup", description = "小组管理")
public class SysGroup extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 小组ID
     */
    @TableId(value = "group_id", type = IdType.AUTO)
    @ApiModelProperty(name = "小组ID", value = "小组ID")
    private Long groupId;

    /**
     * 班级ID
     */
    @Excel(name = "班级ID")
    @ApiModelProperty(name = "班级ID", value = "班级ID", required = true)
    private Long classId;

    /**
     * 小组名称
     */
    @Excel(name = "小组名称")
    @ApiModelProperty(name = "小组名称", value = "小组名称", required = true)
    private String groupName;

    /**
     * 查询构造器
     */
    public static SysGroup queryBuild(SysGroupQueryReq sysGroupQueryReq) {
        return SysGroup.builder()
                .classId(sysGroupQueryReq.getClassId())
                .build();
    }

    /**
     * 添加构造器
     */
    public static SysGroup saveBuild(SysGroupSaveReq sysGroupSaveReq) {
        return SysGroup.builder()
                .classId(sysGroupSaveReq.getClassId())
                .groupName(sysGroupSaveReq.getGroupName())
                .build();
    }

    /**
     * 修改构造器
     */
    public static SysGroup editBuild(Long groupId, SysGroupEditReq sysGroupEditReq) {
        return SysGroup.builder()
                .groupId(groupId)
                .groupName(sysGroupEditReq.getGroupName())
                .build();
    }

}
