package com.ruoyi.custom.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.ObjUtils;
import com.ruoyi.custom.domain.SysGroup;
import com.ruoyi.custom.mapper.SysGroupMapper;
import com.ruoyi.custom.service.SysGroupService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 小组管理Service业务层处理
 *
 * @author ruoyi
 * @date 2024-04-23
 */
@Slf4j
@Service
public class SysGroupServiceImpl extends ServiceImpl<SysGroupMapper, SysGroup> implements SysGroupService {

    /**
     * 查询小组管理列表
     *
     * @param sysGroup 小组管理
     * @return 小组管理
     */
    @Override
    public List<SysGroup> list(SysGroup sysGroup) {
        LambdaQueryWrapper<SysGroup> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(sysGroup.getClassId())) {
            queryWrapper.eq(SysGroup::getClassId, sysGroup.getClassId());
        }


        return list(queryWrapper);
    }
}
